Bug 117024 - Timidity needs alsa support
Timidity needs alsa support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: timidity++ (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-27 11:03 EST by Sammy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-01 11:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
TiMidity-2.10.3-redhat.patch (489 bytes, patch)
2004-02-27 11:05 EST, Sammy
no flags Details | Diff
TiMidity++-2.11.3-detect.patch (829 bytes, patch)
2004-02-27 11:06 EST, Sammy
no flags Details | Diff

  None (edit)
Description Sammy 2004-02-27 11:03:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux; X11; en_US, en) (KHTML, like Gecko)

Description of problem:
With the 2.6 kernel having default ALSA sound one needs alsa playmode
with timidity.

Easy way to do this is to use the new version 2.13.0-rc1 from:

http://www.linet.gr.jp/~tamuki/timidity/release/

Where alsa 1.0.0 support is built in. Some of the other patches have
also been applied. The only patches that are needed and slightly
modified are the redhat patch and detect patch. I have built the new
rpm already and it worked fine. I am attaching those two modified
patches as well.

Version-Release number of selected component (if applicable):
timidity++-2.11.3-9

How reproducible:
Always

Steps to Reproduce:
1.Install timidity from current devel tree
2.try to run a midi file with kde set to use ALSA
3.
    

Additional info:
Comment 1 Sammy 2004-02-27 11:05:42 EST
Created attachment 98104 [details]
TiMidity-2.10.3-redhat.patch
Comment 2 Sammy 2004-02-27 11:06:36 EST
Created attachment 98105 [details]
TiMidity++-2.11.3-detect.patch
Comment 3 Thomas Woerner 2004-04-06 07:10:40 EDT
The new TiMidity++ version (2.13.0) is munching a lot more CPU power,
than the old one. Please have a look at:

http://people.redhat.com/twoerner/SRPMS/fc2/timidity++-2.13.0-1.src.rpm
http://people.redhat.com/twoerner/RPMS/fc2/timidity++-2.13.0-1.i386.rpm
http://people.redhat.com/twoerner/RPMS/fc2/timidity++-debuginfo-2.13.0-1.i386.rpm

This is 2.13.0 final.
Comment 4 Sammy 2004-04-06 14:45:34 EDT
I never paid attention. I am using: 
 
export CFLAGS="$RPM_OPT_FLAGS -DUSE_NON_CONST" 
 
./configure --enable-dynamic \ 
        --enable-interface=ncurses,slang \ 
        --enable-audio=default,oss,alsa,esd,vorbis,arts \ 
        --enable-vt100 \ 
        --enable-alsaseq \ 
        --with-default-output=alsa \ 
        --enable-server --enable-network \ 
        --without-x 
 
Comment 5 Thomas Woerner 2004-07-01 11:28:17 EDT
Fixed in rawhide in rpm timidity++-2.13.0-1 or newer.

Note You need to log in before you can comment on or make changes to this bug.